io.undertow.server.handlers

## Class BlockingReadTimeoutHandler.Builder

- java.lang.Object
- - io.undertow.server.handlers.BlockingReadTimeoutHandler.Builder

Enclosing class:
  BlockingReadTimeoutHandler

    public static final class BlockingReadTimeoutHandler.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpHandler` `build()`
`BlockingReadTimeoutHandler.Builder` `nextHandler(HttpHandler nextHandler)`
`BlockingReadTimeoutHandler.Builder` `readTimeout(Duration readTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readTimeout

    public BlockingReadTimeoutHandler.Builder readTimeout(Duration readTimeout)

#### nextHandler

    public BlockingReadTimeoutHandler.Builder nextHandler(HttpHandler nextHandler)

#### build

    public HttpHandler build()